net.sf.jasperreports.engine

## Class JRPrintHyperlinkParameters

- java.lang.Object
- - net.sf.jasperreports.engine.JRPrintHyperlinkParameters

- All Implemented Interfaces:
    java.io.Serializable, VirtualizationSerializable

      public class JRPrintHyperlinkParameters
      extends java.lang.Object
      implements java.io.Serializable, VirtualizationSerializable

  A set of parameters associated with a print element.
  Version:
    $Id: JRPrintHyperlinkParameters.java 6168 2013-05-16 17:27:14Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRPrintHyperlinkParameters()` Creates an empty set of parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(JRPrintHyperlinkParameter parameter)` Adds a new parameter to the set.
    `java.util.List<JRPrintHyperlinkParameter>` | `getParameters()` Returns the list of `parameters`.
    `void` | `readVirtualized(VirtualizationInput in)`
    `void` | `writeVirtualized(VirtualizationOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRPrintHyperlinkParameters

          public JRPrintHyperlinkParameters()

      Creates an empty set of parameters.

  - ### Method Detail

    - #### getParameters

          public java.util.List<JRPrintHyperlinkParameter> getParameters()

      Returns the list of `parameters`.
      Returns:
        the list of parameters

    - #### addParameter

          public void addParameter(JRPrintHyperlinkParameter parameter)

      Adds a new parameter to the set.
      Parameters:
        `parameter` - the parameter to add

    - #### writeVirtualized

          public void writeVirtualized(VirtualizationOutput out)
                                throws java.io.IOException

      Specified by:
        `writeVirtualized` in interface `VirtualizationSerializable`
      Throws:
        `java.io.IOException`

    - #### readVirtualized

          public void readVirtualized(VirtualizationInput in)
                               throws java.io.IOException

      Specified by:
        `readVirtualized` in interface `VirtualizationSerializable`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com